# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H 'X-Pinecone-Api-Version: 2025-10'
{
"id": "101",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"status": "Pending",
"created_at": "2024-08-19T20:49:00.754Z",
"finished_at": "2024-08-19T20:49:00.754Z",
"percent_complete": 42.2,
"records_imported": 1000000
}
Imports
Describe an import
Return details of a specific import operation.
For guidance and examples, see Import data.
GET
/
bulk
/
imports
/
{id}
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H 'X-Pinecone-Api-Version: 2025-10'
{
"id": "101",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"status": "Pending",
"created_at": "2024-08-19T20:49:00.754Z",
"finished_at": "2024-08-19T20:49:00.754Z",
"percent_complete": 42.2,
"records_imported": 1000000
}
This feature is in public preview and available only on Standard and Enterprise plans.
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X GET "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H 'X-Pinecone-Api-Version: 2025-10'
{
"id": "101",
"uri": "s3://BUCKET_NAME/PATH/TO/DIR",
"status": "Pending",
"created_at": "2024-08-19T20:49:00.754Z",
"finished_at": "2024-08-19T20:49:00.754Z",
"percent_complete": 42.2,
"records_imported": 1000000
}
Authorizations
Headers
Required date-based version header
Path Parameters
Unique identifier for the import operation.
Required string length:
1 - 1000Response
Details of the import operation.
The model for an import operation.
Unique identifier for the import operation.
Required string length:
1 - 1000Example:
"101"
The URI from where the data is imported.
The status of the operation.
Possible values: Pending, InProgress, Failed, Completed, or Cancelled.
Example:
"Pending"
The start time of the import operation.
The end time of the import operation.
The progress made by the operation, as a percentage.
Required range:
0 <= x <= 100Example:
42.2
The number of records successfully imported.
Example:
1000000
The error message if the import process failed.
Was this page helpful?
⌘I